unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    procedure Read( File_:string );
  public
    { Public declarations }
  end;

type
  ANPR_OPTIONS = Record
    min_plate_size:integer;
	  max_plate_size:integer;
  	Detect_Mode:integer;
  	max_text_size:integer;
	  type_number:integer;
    flags:integer;
  end;

type
  CvRect = Record
    x:integer;
    y:integer;
    width:integer;
    height:integer;
  end;
type
  PRect = ^CvRect;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//anprPlateMemory( char* in_buffer, long  size_buffer, ANPR_OPTIONS Options, int* AllNumber, CvRect* Rects, char** Texts )
//  
function anprPlateMemoryRect( in_buffer: PChar; size_buffer: integer; Rect: CvRect; Options: ANPR_OPTIONS; AllNumber: PInt; Rects: PRect; Texts: PPChar ): integer; stdcall; external 'iANPR_vc10_x86.dll'
  name 'anprPlateMemoryRect';




procedure TForm1.Button1Click(Sender: TObject);
var
 F: TSearchRec;
  Path: string;
begin
 Path := '..\im\*';
 FindFirst(Path, 0, F);
 if F.name <> '' then
  begin
    Read('..\im\'+F.name);
    while FindNext(F) = 0 do
      Read('..\im\'+F.name);
  end;
  FindClose(F);
end;

procedure  TForm1.Read( File_:string );
type
    PPCharArray = ^TPCharArray;
    TPCharArray = array[0..99] of PChar;
var p:PChar;
    r,s,i:integer;
    anpr: ANPR_OPTIONS;
    rect: array [0..99] of CvRect;
    pr: PRect;
    ptext: array of PChar;
    all: integer;
    RectArea: CvRect;
begin
 //  
 with TFileStream.create(File_, fmOpenReadWrite) do
 try
 GetMem(p, Size);
 read(p^, Size);
 s := Size;
 finally
 free;
 end;
 all := 100;
 anpr.min_plate_size := 500;
 anpr.max_plate_size := 25000;
 anpr.Detect_Mode := 6; // ANPR_DETECTMODE2 | ANPR_DETECTMODE3;
 anpr.max_text_size := 20;
 anpr.type_number := 0; // 	ANPR_RUSSIAN_BASE
 anpr.flags := 0;
 pr := @rect;
 GetMem( ptext, all * sizeof(pchar));
 for i := 0 to all-1 do
  GetMem( ptext[i], 20 *sizeof( char ) );
 RectArea.x := 0; RectArea.y := 0;
 RectArea.width := 640; RectArea.height := 480;
 r := anprPlateMemoryRect( p, s, RectArea, anpr, @all, pr, @ptext[0] );
 FreeMem(p);
 if ( r = 0 ) and ( all > 0 ) then Memo1.Lines.Add( ptext[0] );
 for i := 0 to all-1 do
  FreeMem( ptext[i] );
 //FreeMem( ptext );
end;

end.


