#include "opencv2/highgui/highgui_c.h"
#include "..\..\Include\iANPR.h"
#include <stdio.h>
#include <Windows.h>

int main( int argc, char** argv)
{
	if ( argc > 1 )
	{
		IplImage* Img = cvLoadImage( argv[1], CV_LOAD_IMAGE_GRAYSCALE  );
		if ( Img == NULL ){
			printf( "Cann't load file!");
			return 1;
		}
		CvRect Rects[100];
		int all = 100;
		char** res = new char*[all];
		for(int j=0;j<all;j++) res[j] = new char[20];
		ANPR_OPTIONS a;
		a.Detect_Mode = ANPR_DETECTCOMPLEXMODE;
		a.min_plate_size = 500;
		a.max_plate_size = 25000;
		a.max_text_size = 20;		
		a.type_number = ANPR_RUSSIAN_BASE;
		a.flags = 0;
		int i;
		__try
		{
			i = anprPlate( Img,  a, &all, Rects, res ); 
		}
		__except(EXCEPTION_EXECUTE_HANDLER)
		{
			ExitProcess( 1 );
		}
		if ( i == 0 )
			for( int j = 0; j < all; j++ ) {				
				printf( "%s\n", res[j] );
			}

		for(int j=0;j<100;j++) delete [] res[j];
		delete [] res;
		cvReleaseImage ( &Img );
	}
	return 0;
}